Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8011043

Warn about use of 1.5 and earlier source and target values

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 8
    • Fix Version/s: 8
    • Component/s: tools
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      b105
    • CPU:
      generic
    • OS:
      generic

      Description

      The javac tool supports source and target options whose origin stretches back into the early mists of the Java platform. As of JDK 8, using options for source and target values corresponding to JDK 5 are earlier should generate a warning as support for those options will be removed in a future release.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                darcy Joe Darcy
                Reporter:
                darcy Joe Darcy
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: